#include <iostream>
#include <utility>
#include <algorithm>
#include <functional>
#include <iomanip>

using namespace std;

typedef long long ll;

pair<double, ll> jabucari[200001];

int main()
{
    ios_base::sync_with_stdio(0);
    int n;
    cin>>n;
    for(int i=0;i<n;i++)
        cin>>jabucari[i].second>>jabucari[i].first;
    sort(jabucari, jabucari+n, greater<pair<double,ll>>());
    ll total=0;
    double ans=0.0;
    for(int i=0;i<n;i++)
        total+=jabucari[i].second;
    for(int i=n-1;i>=0;i--)
    {
        ans=max(ans,total*jabucari[i].first/100.0);
        total-=jabucari[i].second;
    }
    cout<<fixed<<setprecision(4)<<ans;
    return 0;
}